File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxparse.h File Reference

`#include <stdio.h>`

Go to the source code of this file.

## Data Structures
struct | _DMXConfigComment
struct | _DMXConfigDisplay
struct | _DMXConfigEntry
struct | _DMXConfigFullDim
struct | _DMXConfigNumber
struct | _DMXConfigOption
struct | _DMXConfigPair
struct | _DMXConfigParam
struct | _DMXConfigPartDim
struct | _DMXConfigString
struct | _DMXConfigSub
struct | _DMXConfigToken
struct | _DMXConfigVirtual
struct | _DMXConfigWall
## Typedefs
typedef _DMXConfigToken | DMXConfigToken
typedef _DMXConfigToken * | DMXConfigTokenPtr
typedef _DMXConfigString | DMXConfigString
typedef _DMXConfigString * | DMXConfigStringPtr
typedef _DMXConfigNumber | DMXConfigNumber
typedef _DMXConfigNumber * | DMXConfigNumberPtr
typedef _DMXConfigPair | DMXConfigPair
typedef _DMXConfigPair * | DMXConfigPairPtr
typedef _DMXConfigComment | DMXConfigComment
typedef _DMXConfigComment * | DMXConfigCommentPtr
typedef _DMXConfigPartDim | DMXConfigPartDim
typedef _DMXConfigPartDim * | DMXConfigPartDimPtr
typedef _DMXConfigFullDim | DMXConfigFullDim
typedef _DMXConfigFullDim * | DMXConfigFullDimPtr
typedef _DMXConfigDisplay | DMXConfigDisplay
typedef _DMXConfigDisplay * | DMXConfigDisplayPtr
typedef _DMXConfigWall | DMXConfigWall
typedef _DMXConfigWall * | DMXConfigWallPtr
typedef _DMXConfigOption | DMXConfigOption
typedef _DMXConfigOption * | DMXConfigOptionPtr
typedef _DMXConfigParam | DMXConfigParam
typedef _DMXConfigParam * | DMXConfigParamPtr
typedef _DMXConfigSub | DMXConfigSub
typedef _DMXConfigSub * | DMXConfigSubPtr
typedef _DMXConfigVirtual | DMXConfigVirtual
typedef _DMXConfigVirtual * | DMXConfigVirtualPtr
typedef _DMXConfigEntry | DMXConfigEntry
typedef _DMXConfigEntry * | DMXConfigEntryPtr
## Functions
void | dmxConfigLog (const char *format,...)

## Detailed Description

Interface to DMX configuration file parser.

See also:
  dmxparse.c

## Typedef Documentation

typedef struct _DMXConfigComment DMXConfigComment

| Stores parsed comments not stored with a token.

typedef struct _DMXConfigComment * DMXConfigCommentPtr

| Stores parsed comments not stored with a token.

typedef struct _DMXConfigDisplay DMXConfigDisplay

| Stores parsed display information.

typedef struct _DMXConfigDisplay * DMXConfigDisplayPtr

| Stores parsed display information.

typedef struct _DMXConfigEntry DMXConfigEntry

| Heads entry storage.

typedef struct _DMXConfigEntry * DMXConfigEntryPtr

| Heads entry storage.

typedef struct _DMXConfigFullDim DMXConfigFullDim

| Stores a pair of geometry specifications.

typedef struct _DMXConfigFullDim * DMXConfigFullDimPtr

| Stores a pair of geometry specifications.

typedef struct _DMXConfigNumber DMXConfigNumber

| Stores parsed numbers.

typedef struct _DMXConfigNumber * DMXConfigNumberPtr

| Stores parsed numbers.

typedef struct _DMXConfigOption DMXConfigOption

| Stores parsed option information.

typedef struct _DMXConfigOption * DMXConfigOptionPtr

| Stores parsed option information.

typedef struct _DMXConfigPair DMXConfigPair

| Stores parsed pairs (e.g., x y)

typedef struct _DMXConfigPair * DMXConfigPairPtr

| Stores parsed pairs (e.g., x y)

typedef struct _DMXConfigParam DMXConfigParam

| Stores parsed param information.

typedef struct _DMXConfigParam * DMXConfigParamPtr

| Stores parsed param information.

typedef struct _DMXConfigPartDim DMXConfigPartDim

| Stores a geometry specification.

typedef struct _DMXConfigPartDim * DMXConfigPartDimPtr

| Stores a geometry specification.

typedef struct _DMXConfigString DMXConfigString

| Stores parsed strings.

typedef struct _DMXConfigString * DMXConfigStringPtr

| Stores parsed strings.

typedef struct _DMXConfigSub DMXConfigSub

| Stores options under an entry (subentry).

typedef struct _DMXConfigSub * DMXConfigSubPtr

| Stores options under an entry (subentry).

typedef struct _DMXConfigToken DMXConfigToken

| Stores tokens not stored in other structures (e.g., keywords and ;)

typedef struct _DMXConfigToken * DMXConfigTokenPtr

| Stores tokens not stored in other structures (e.g., keywords and ;)

typedef struct _DMXConfigVirtual DMXConfigVirtual

| Stores parsed virtual information.

typedef struct _DMXConfigVirtual * DMXConfigVirtualPtr

| Stores parsed virtual information.

typedef struct _DMXConfigWall DMXConfigWall

| Stores parsed wall information.

typedef struct _DMXConfigWall * DMXConfigWallPtr

| Stores parsed wall information.

## Function Documentation

void dmxConfigLog | ( | const char * | format,
|  | ... |
| ) |

| A general error logging routine that does not depend on the dmxLog functions.